{% load staticfiles %}
<!DOCTYPE html>
<html lang="id">
<head>
  <title>List of Books</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <link rel="stylesheet" type="text/css" href="{% static 'css/mycss.css' %}">
  <script src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
  <script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
  <meta name="google-signin-client_id" content="507958782827-2km1po0hp3ggoru9fsemrg84tns6bbdv.apps.googleusercontent.com">
  <script src="https://apis.google.com/js/platform.js" async defer></script>

  <style type="text/css">
		body{
			background: rgb(250, 94, 102);
		}
		#myInput{
		  	background-position: right;
		  	background-repeat: no-repeat;
		  	width: 30%;
		  	font-size: 16px;
		  	padding: 12px 20px 12px 40px;
		  	border: 1px solid #ddd;
		  	margin-bottom: 12px;
		}

  </style>
</head>
<body>
<div class="jumbotron">
   <center>
     <h1 class="ml9">
      <span class="text-wrapper">
        <span class="letters">List of Books</span>
      </span>
     </h1>
     <script src="https://cdnjs.cloudflare.com/ajax/libs/animejs/2.0.2/anime.min.js"></script>
   </center>
</div>

<div class="row" style="margin-top: 3%">
  {%if user.is_authenticated%}
  <header class = "m-3" ">
  <a href= "{% url 'Story9:logout'%}" style="text-transform:none; margin-top: 3%;">
    <div class="left">
      <img width="20px" alt="Google &quot;G&quot; Logo" src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Google_%22G%22_Logo.svg/512px-Google_%22G%22_Logo.svg.png"/>
    </div>
    Log Out
  </a>
  <h3>Hello, {{ user.username }}!</h3>
  </header>
  {%else%}<header>
  <a href="{% url 'social:begin' 'google-oauth2' %}" style="text-transform:none">
    <div class="left">
      <img width="20px" alt="Google &quot;G&quot; Logo" src="https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Google_%22G%22_Logo.svg/512px-Google_%22G%22_Logo.svg.png"/>
    </div>
    Login with Google
  </a>
  <br>
</header>
  {%endif%}
</div>

<!--<div class="text-center" style="padding-top: 2%;">-->
  <!--<input id="myInput" type="text" placeholder="Search your books here...">-->
<!--</div>-->
<!--<script>-->
		<!--$(document).ready(function(){-->
		  <!--$("#myInput").on("keyup", function() {-->
		    <!--var value = $(this).val().toLowerCase();-->
		    <!--$("#myTable tr").filter(function() {-->
		      <!--$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)-->
		    <!--});-->
		  <!--});-->
		<!--});-->
<!--</script>-->


<header class="text-center">
  <div class="container1">
    <center>
      <img src="{% static 'star.png' %}" alt="star" max-width="100px;" height="100px;">
    <div class="centered" id="counter">0</div>
    </center>
  </div>
  <h4 style="color: white;">Favorites</h4>
</header>
<center>
  <input id = "search_box" placeholder="  type the name of the book" style="min-width: 250px;align-content: center">
  <button type="button" class="btn btn-info" id ="search_button" style ="align-content: center">Search</button>
</center>
<div style="padding-top: 2%; margin-left: 10%;margin-right: 10%;">
  <table id="demo" class="table table-striped table-light table-bordered table-hover">
    <thead class="thead-light">
    <tr>
      <th scope="col" style="text-align: center;">No</th>
      <th scope="col" style="text-align: center;">Cover</th>
      <th scope="col" style="text-align: center;">Title</th>
      <th scope="col" style="text-align: center;">Authors</th>
      <th scope="col" style="text-align: center;">Publisher</th>
      <th scope="col" style="text-align: center;">Published Date</th>
      <th scope="col" style="text-align: center;">Categories</th>
      <th scope="col" style="text-align: center;">Add to Favorites</th>
    </tr>
    </thead>
    <tbody id='myTable'>
    </tbody>
  </table>

</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>

<script src="{% static 'js/myjs.js' %}"></script>
</body>
</html>
